# tell GNOME to use local lock files for AFS accounts
# prevents AFS corruptions, symptoms of which are
# ls ~/.gconfd/lock/ior    # succeeds
# ls -l ~/.gconfd/lock/ior # fails
# rm ~/.gconfd/lock/ior    # fails
#
# this needs to be set for all sessions, since even KDE
# users may want to start GNOME applications occasionally

if ( !  $?GCONF_LOCAL_LOCKS && \
        $?HOME  && \
       "$HOME" =~ /afs* )  then 
    setenv GCONF_LOCAL_LOCKS 1
endif
