# tell GNOME to use local lock files for AFS accounts
# prevents AFS corruptions, symptoms of which are
# ls ~/.gconfd/lock/ior    # succeeds
# ls -l ~/.gconfd/lock/ior # fails
# rm ~/.gconfd/lock/ior    # fails
#
# this needs to be set for all sessions, since even KDE
# users may want to start GNOME applications occasionally

if [[ -z "$GCONF_LOCAL_LOCKS" && \
      -n "$HOME" && \
         "$HOME" == /afs* ]]; then 
    GCONF_LOCAL_LOCKS=1
    export GCONF_LOCAL_LOCKS
fi
